FIXINCLUDES(1)

IME
fixincludes - Zmanjšajte število #includes v KDE izvornih datotekah

SINOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [file] [--help]

OPIS

fixincludes poskuša zmanjšati število #includes v izvornih datotekah C++. Velik del njegove obdelave je specifičen za vire KDE, zato morda ne bo deloval tako dobro z viri za neKDE aplikacije.

fixincludes prepozna naslednje težave:

    • Vključno z glavami, ki niso več podprte, vendar obstajajo zaradi združljivosti s starejšimi različicami Qt/KDE;

    • Večkratna vključitev iste datoteke.

Obstaja tudi poskusni način, ki poskuša odstraniti vsak #include enega za drugim (z nekaj izjemami), da vidi, ali se izvor še vedno prevaja. Upoštevajte, da bo ta poskusni način spremenil izvirne vire.

Viri privzeto ne bodo spremenjeni; ugotovljene težave bodo preprosto zapisane v standardni izhod.

Seznam virov C++, ki jih je treba pregledati, mora biti podan v ukazni vrstici. Če ni podana nobena datoteka, bodo pregledani vsi izvori C++ v trenutnem imeniku ali pod njim (z izjemo imenikov, katerih Makefile.am vsebuje -UQT_NO_COMPAT ali - UKDE_NO_COMPAT)

Ta pripomoček je del kompleta za razvoj programske opreme KDE.

MOŽNOSTI

-v, --verbose
    Besedni način. Dodaten izhod za odpravljanje napak se zapiše v standardni izhod.

-e, --experimental
    Eksperimentalni način, kot je podrobno opisano zgoraj. Upoštevajte, da ta možnost implicira --modify.

-m, --modify
    Poleg pisanja sporočil v standardni izhod dejansko spremeni izvirne vire, da odpravi morebitne odkrite težave.

AVTORJI

fixincludes je napisal Dirk Mueller <mueller@kde.org>.

AUTHOR

Ben Burton <bab@debian.org>
    Author.